import { Component, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { NgbActiveModal, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
import { JhiEventManager } from 'ng-jhipster';

import { Geocity } from './geocity.model';
import { GeocityPopupService } from './geocity-popup.service';
import { GeocityService } from './geocity.service';

@Component({
    selector: 'jhi-geocity-delete-dialog',
    templateUrl: './geocity-delete-dialog.component.html'
})
export class GeocityDeleteDialogComponent {

    geocity: Geocity;

    constructor(
        private geocityService: GeocityService,
        public activeModal: NgbActiveModal,
        private eventManager: JhiEventManager
    ) {
    }

    clear() {
        this.activeModal.dismiss('cancel');
    }

    confirmDelete(id: number) {
        this.geocityService.delete(id).subscribe((response) => {
            this.eventManager.broadcast({
                name: 'geocityListModification',
                content: 'Deleted an geocity'
            });
            this.activeModal.dismiss(true);
        });
    }
}

@Component({
    selector: 'jhi-geocity-delete-popup',
    template: ''
})
export class GeocityDeletePopupComponent implements OnInit, OnDestroy {

    routeSub: any;

    constructor(
        private route: ActivatedRoute,
        private geocityPopupService: GeocityPopupService
    ) {}

    ngOnInit() {
        this.routeSub = this.route.params.subscribe((params) => {
            this.geocityPopupService
                .open(GeocityDeleteDialogComponent as Component, params['id']);
        });
    }

    ngOnDestroy() {
        this.routeSub.unsubscribe();
    }
}
