import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot, Routes, CanActivate } from '@angular/router';

import { UserRouteAccessService } from '../../shared';
import { JhiPaginationUtil } from 'ng-jhipster';

import { GeocityComponent } from './geocity.component';
import { GeocityDetailComponent } from './geocity-detail.component';
import { GeocityPopupComponent } from './geocity-dialog.component';
import { GeocityDeletePopupComponent } from './geocity-delete-dialog.component';

export const geocityRoute: Routes = [
    {
        path: 'geocity',
        component: GeocityComponent,
        data: {
            authorities: ['ROLE_USER'],
            pageTitle: 'geohipsterApp.geocity.home.title'
        },
        canActivate: [UserRouteAccessService]
    }, {
        path: 'geocity/:id',
        component: GeocityDetailComponent,
        data: {
            authorities: ['ROLE_USER'],
            pageTitle: 'geohipsterApp.geocity.home.title'
        },
        canActivate: [UserRouteAccessService]
    }
];

export const geocityPopupRoute: Routes = [
    {
        path: 'geocity-new',
        component: GeocityPopupComponent,
        data: {
            authorities: ['ROLE_USER'],
            pageTitle: 'geohipsterApp.geocity.home.title'
        },
        canActivate: [UserRouteAccessService],
        outlet: 'popup'
    },
    {
        path: 'geocity/:id/edit',
        component: GeocityPopupComponent,
        data: {
            authorities: ['ROLE_USER'],
            pageTitle: 'geohipsterApp.geocity.home.title'
        },
        canActivate: [UserRouteAccessService],
        outlet: 'popup'
    },
    {
        path: 'geocity/:id/delete',
        component: GeocityDeletePopupComponent,
        data: {
            authorities: ['ROLE_USER'],
            pageTitle: 'geohipsterApp.geocity.home.title'
        },
        canActivate: [UserRouteAccessService],
        outlet: 'popup'
    }
];
